Exc::Exception Class Reference
Classes and functions used to implement this library » Exceptions used in the library

`#include <Exception.h>`

Inheritance diagram for Exc::Exception:

## Public Member Functions

| Exception (const std::string &what) throw ()
| Construct from string.
virtual const char * | what () const throw ()
virtual | ~Exception () throw ()
| Destructor.

## Protected Attributes

std::string | m_what
| What string for the expection.

## Detailed Description

Base class for Exceptions. Currently very minimal. Really only makes a convenient class to subclass from.

Note
  This is only intended for use within the SpComp2 - don't ever pass an Exception class across the .so boundary.

Definition at line 73 of file Exception.h.

## Constructor & Destructor Documentation

## Exception()

Exc::Exception::Exception | ( | const std::string & | what | ) |
throw | ( | ) |  |  |

inline

Construct from string.

Definition at line 80 of file Exception.h.

: std::exception(), m_what(what)
{ }
Exc::Exception::m_what
std::string m_what
What string for the expection.
Definition Exception.h:98
Exc::Exception::what
virtual const char * what() const
Definition Exception.h:90

References what().

## ~Exception()

virtual Exc::Exception::~Exception | ( |  | ) |
throw | ( | ) |  |  |

inline virtual

Destructor.

Definition at line 85 of file Exception.h.

{ }

## Member Function Documentation

## what()

virtual const char * Exc::Exception::what | ( |  | ) | const
throw | ( | ) |  |  |

inline virtual

Definition at line 90 of file Exception.h.

{ return m_what.c_str(); }

References m_what.

Referenced by Exception().

## Member Data Documentation

## m_what

std::string Exc::Exception::m_what

protected

What string for the expection.

Definition at line 98 of file Exception.h.

Referenced by what().

The documentation for this class was generated from the following file:

- export/Exception.h